gi-xlib-2.0.14: xlib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Xlib.Structs.Screen

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype Screen = Screen (ManagedPtr Screen)

# Exported types

newtype Screen Source #

Memory-managed wrapper type.

Constructors

Screen (ManagedPtr Screen) |

#### Instances

Instances details

Eq Screen Source # |
Instance details Defined in GI.Xlib.Structs.Screen Methods (==) :: Screen -> Screen -> Bool Source # (/=) :: Screen -> Screen -> Bool Source #
BoxedPtr Screen Source # |
Instance details Defined in GI.Xlib.Structs.Screen Methods boxedPtrCopy :: Screen -> IO Screen Source # boxedPtrFree :: Screen -> IO () Source #
ManagedPtrNewtype Screen Source # |
Instance details Defined in GI.Xlib.Structs.Screen Methods toManagedPtr :: Screen -> ManagedPtr Screen Source #

# Methods